# std::experimental::basic_string_view<CharT,Traits>::empty

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr bool empty() const noexcept; |  | (library fundamentals TS)

Checks if the view has no characters, i.e. whether `size() == 0`.

### Parameters

(none)

### Return value

true if the view is empty, false otherwise

### Complexity

Constant.

### See also

size length | returns the number of characters (public member function)
max_size | returns the maximum number of characters (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/empty&oldid=93175"